pcl::Normal Struct Reference
Module common

A point structure representing normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Normal:

## Public Member Functions

| Normal (const _Normal &p)
| Normal (float _curvature=0.f)
| Normal (float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const Normal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Normal
| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing normal coordinates and the surface curvature estimate.

(SSE friendly)

Definition at line 899 of file point_types.hpp.

## Constructor & Destructor Documentation

## Normal() [1/3]

pcl::Normal::Normal | ( | const _Normal & | p | ) |

inline

Definition at line 901 of file point_types.hpp.

References pcl::_Normal::curvature.

## Normal() [2/3]

pcl::Normal::Normal | ( | float | _curvature = `0.f` | ) |

inline

Definition at line 908 of file point_types.hpp.

## Normal() [3/3]

pcl::Normal::Normal | ( | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = `0.f`
| ) |  |

inline

Definition at line 910 of file point_types.hpp.

References pcl::_Normal::curvature.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Normal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp